#include <iostream>
using namespace std;

int main(){
	int n;
	long long l;
	cin>>n>>l;
	long long a[n];
	for(int i=0;i<n;i++){
		cin>>a[i];
	}
	int j = 0;
	while(l<a[j] && j<n){
		j++;
	}
	if(j==n){
		cout<<"-1";
	}else{
		cout<<j++;
	}
}